package com.caimei365.manager.entity.caimei;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/3/16
 */
 @Data
public class ReceiptOrder implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 订单Id
     */
    private Integer orderId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 组织id
     */
    private Integer organizeId;
    /**
     * 订单金额
     */
    private Double orderAmount;
    /**
     * 已收金额
     */
    private Double receiptAmount;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * （收款买家）收款状态：1待收款、2部分收款、3已收款
     */
    private Integer receiptStatus;
    /**
     * 订单类型 协销订单 0 普通订单 1
     */
    private Integer orderType;
    /**
     * 下单时间
     */
    private String orderTime;
    /**
     * 关系类型：1返佣订单（返佣款或供应商退款）、2非返佣订单（订单款或者非订单款）、3超级会员款
     */
    private Integer relationType;
    /**
     * 订单用户id
     */
    private Integer userId;
    /**
     * 返佣款项   是根据子订单再去关联的主订单
     */
    private String shopOrderNo;
    private Integer shopOrderId;
    /**
     * 子订单金额
     */
    private Double shopOrderAmount;
    /**
     * 供应商
     */
    private String shopName;

    private Double payableAmount;
    /**
     * 判断订单中抹平的订单是否是和多个订单一起支付的
     */
    private boolean receiptOrderFlag;
    /**
     * 应付金额
     */
    private Double shouldPayShopAmount;
    /**
     * 已付供应商金额
     */
    private Double payedShopAmount;
    /**
     * 已退款供应商金额
     */
    private Double refundsAmount;

    private List<ReceiptRecord> receiptRecords;
}
