package com.caimei365.manager.service.caimei.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.caimei365.manager.dao.user.CmMarketShopDao;
import com.caimei365.manager.entity.caimei.shopImport.Visits;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/23
 */
public class VisitsLisener extends AnalysisEventListener<Visits> {

    private Integer marketReportId;

    private CmMarketShopDao marketShopDao;

    private final Integer SIZE = 100;

    private final List<Visits> dataList = new ArrayList();

    public VisitsLisener(Integer marketReportId, CmMarketShopDao marketShopDao) {
        this.marketReportId = marketReportId;
        this.marketShopDao = marketShopDao;
    }

    @Override
    public void invoke(Visits data, AnalysisContext analysisContext) {
        dataList.add(data);
        if (dataList.size() >= SIZE) {
            saveData(dataList);
            dataList.clear();
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        System.out.println("-----------访问量----------");
        System.out.println("dataList======="+dataList);
        saveData(dataList);
    }

    @Override
    public boolean hasNext(AnalysisContext analysisContext) {
        return true;
    }

    /**
     * 保存数据
     */
    public void saveData(List<Visits> dataList) {
        dataList.forEach(visits -> {
            visits.setMarketReportId(marketReportId);
            marketShopDao.insertMarketVisits(visits);
        });
    }
}
